function  battle_bai024(npcID)--暗暮菖兰

	local wqx=flag.GetBattleValue(33037)--文星反转回合数
	if wqx>0 then
	flag.SetBattleValue(33037,wqx-1)
	if wqx-1==3 then
	flag.SetBattleValue(33038,2)--标记下一回合说话
	end
	    if wqx==3 and flag.GetBattleValue(33038)==2 then
		flag.SetBattleValue(33038,1)--屏蔽说话，标记觉醒阶段
		
		npc.ChangeDef(90000,-1000)
		npc.ChangeMagicDef(90000,0,-70)
		npc.ChangeMagicDef(90000,1,-70)
		npc.ChangeMagicDef(90000,2,-70)
		npc.ChangeMagicDef(90000,3,-70)
		npc.ChangeMagicDef(90000,4,-70)
		npc.ChangeMagicDef(90000,5,-70)
		npc.ChangeMagicDef(90000,7,-70)
		
		global.EnableSkipDialog(0)
        ui.Dialog_t(170709,529,1,0,1,0,2.5)--你……！你不是我的二叔！
		--wt(3)
		global.EnableSkipDialog(1)
		ui.Message(170710)--夏侯瑾轩恨意觉醒
		--wt(2)
        end
		if wqx==1 and flag.GetBattleValue(33038)==1 then
		flag.SetBattleValue(33038,0)--结束
		
		npc.ChangeDef(90000,1000)
		npc.ChangeMagicDef(90000,0,70)
		npc.ChangeMagicDef(90000,1,70)
		npc.ChangeMagicDef(90000,2,70)
		npc.ChangeMagicDef(90000,3,70)
		npc.ChangeMagicDef(90000,4,70)
		npc.ChangeMagicDef(90000,5,70)
		npc.ChangeMagicDef(90000,7,70)
		
		global.EnableSkipDialog(0)
        ui.Dialog_t(170721,516,1,0,1,0,2.5)--从来尽是愁，千古空留恨……
		--wt(4)
		global.EnableSkipDialog(1)
		
		end
	end
	if wqx>3 then
	flag.SetBattleValue(33039,1)
	else
	flag.SetBattleValue(33039,0)
	end
	global.Print(wqx)
	
	local sg=flag.GetBattleValue(16222)	--语言提示打法
	
	if sg==0 then   --战斗对话提示
		flag.SetBattleValue(16222,1)
	elseif sg==1 then
		flag.SetBattleValue(16222,2)
		local zid=battle.GetRndPlayer()
		if zid==1 then
			uid=522
		elseif zid==2 then
			uid=183
		elseif zid==8 then
			uid=166	
	
		end
			
		ui.Dialog(86999,uid,0,0,zid,0)--这几个魔气镜像，似乎只有我们自己对应的人攻击才有效。
	end
	
	local hp=battle.GetSelfHP(2)
	if hp<100 then
		flag.SetBattleValue(19035,1)
	end
	local a=battle.GetRndNumber(1,10)
	
	if a>=1 and a<=6 and flag.GetBattleValue(33037)==0 then
		local id=battle.GetRndPlayer()
		battle.AtkToPlayer(id,1)
	else
		local id=battle.GetRndPlayer()
		local wqx=flag.GetBattleValue(33037)--文星反转回合数
	    if wqx>3 then
	    battle.SetSkillScale(-100)
	    elseif wqx>0 and wqx<=3 then
	    battle.SetSkillScale(150)
	    end
		battle.MagicToPlayer(id,334,1)
	end
	
	
end